Learn how easy it is to sync an existing GitHub or Google Code repo to a SourceForge project! See Demo

Close

#12 Customization does not take (e-custom)

normal
closed-fixed
Bruce Ingalls
8
2002-09-11
2002-08-07
Tim Hermans
No

Emacro version: 2.3.1alpha
Emacs: GNU Emacs 21.2.1 (i386-msvc-nt5.0.2195) of
2002-03-19 on buffy
OS: CYGWIN_NT-5.0 hostname 1.3.12(0.54/3/2) 2002-
07-06
02:16 i686 unknown
---------------------------------------------------
Customization does not seem to take when changing
options using M-x customize.

To duplicate:

1. Use a fresh install of emacro. Click
on "Options/Syntax Highlighting".

2. Click "Save Options".

3. View "emacs/preferences/e-custom.el". One of the
lines there will show: "'(global-font-lock-mode t nil (font-
lock))"

4. Now exit and restart emacs. Open "e-custom" again
and see that global-font-lock mode is still enabled.

5. Do C-h v global-font-lock-mode RET and see it is set
to "nil"

Not sure what's going on here.

Discussion

  • Bruce Ingalls
    Bruce Ingalls
    2002-08-09

    Logged In: YES
    user_id=58006

    You have to set the value in the EMacro defcustom group (as
    well?)
    I'm not sure, if there is a better way to override the
    default; I may need to ask around.
    I'd also like to hear, why you would not want to have font-lock.

     
  • Bruce Ingalls
    Bruce Ingalls
    2002-08-09

    • assigned_to: nobody --> bingalls
    • milestone: 101985 --> normal
    • priority: 5 --> 3
    • status: open --> closed-postponed
     
  • Logged In: NO

    I DO want font-lock. The reason I noticed this problem was
    that font-lock did not appear to be on when I first started
    XEmacs.

    It looks to me like the default (in emacro) is to have it off. Or
    at least that's how it show's up in the menus.

     
  • Tim Hermans
    Tim Hermans
    2002-08-28

    • priority: 3 --> 8
    • status: closed-postponed --> open-postponed
     
  • Tim Hermans
    Tim Hermans
    2002-08-28

    Logged In: YES
    user_id=189901

    I am now on Emacro version: 2.3.2beta
    --------------------------------------------------------

    So I've done a little poking on this:

    Apparently when you redefine the variable 'custom-file' (which
    emacro does) you have to explicity
    load it; from the doc:

    "custom-file's value is
    "c:/home/thermans/emacs/preferences/e-custom.el"

    Documentation:
    File used for storing customization information.
    The default is nil, which means to use your init file
    as specified by `user-init-file'. If you specify some other file,
    you need to explicitly load that file for the settings to take
    effect."

    So it looks like 'e-custom.el' is not getting read.

    You will need to apply this patch to 'e-path.el':

    *** e-path.el Fri Aug 23 23:30:40 2002
    --- - Wed Aug 28 10:34:17 2002
    ***************
    *** 66,71 ****
    --- 66,72 ----
    (setq custom-file (concat emacro-top-dir "preferences/e-
    xcustom.el"))
    ))

    + (when (file-exists-p custom-file) (load-library custom-file))
    (when (file-exists-p use-cache) (load-library use-cache))

    ;;_________________________________________________
    _________________________

    This explains my problems with setting font-lock mode. I was
    setting it in
    e-custom (by clicking on the "Syntax Highlighting" menu item
    under "Options",
    and saving). But everytime I restarted it was reset.

    Tim

     
  • Tim Hermans
    Tim Hermans
    2002-08-28

    Logged In: YES
    user_id=189901

    Ah, wait! I see!

    In 'e-config' we have the following code:

    -------------------------------
    (cond
    ((string-match "GNU" (emacs-version)) ;FSF/Gnu Emacs, all
    platforms
    (emacro-require 'e-macs)
    (when (file-readable-p (concat emacro-top-dir "e-custom"))
    (emacro-load "e-custom")))

    ((string-match "XEmacs" (emacs-version)) ;XEmacs, all
    platforms
    (emacro-require 'e-xemacs)
    (when (file-readable-p (concat emacro-top-dir "e-xcustom"))
    (emacro-load "e-xcustom"))))
    -------------------------------

    The variable 'emacro-top-dir' should be 'emacro-prefs-dir'.
    That's where the custom files are. And that's why they're not
    getting loaded.

    Forget the last patch.

     
  • Bruce Ingalls
    Bruce Ingalls
    2002-09-11

    • status: open-postponed --> closed-fixed
     
  • Bruce Ingalls
    Bruce Ingalls
    2002-09-11

    Logged In: YES
    user_id=58006

    You found a bug.
    This will be fixed in EMacro 2.3.3beta, soon to be released.

    There is a problem with CVS on Sourceforge currently, so
    this fix may find itself first in the tarball.